1. Store Hours
POSPointe
MyPOSPointe API
  • POSPointe GiftCard Server
  • Pospointe Trans
  • MyPOSPointe API
  • Pospointe Agent
  • Pospointe Loyalty
  • Dashboard
    • Top Selling Items
      GET
    • Get Totals
      GET
    • Cash and Card Total Sales
      GET
    • Sales for last 7 days
      GET
    • Store busy hours
      GET
    • Sales for last 14 days
      GET
    • Get Online Orders
      GET
    • Get Employee
      GET
    • Employee Attendance
      GET
    • Get Employee Departments
      GET
    • Get Application
      GET
  • Users
    • Add User
      POST
    • Get all Users
      GET
    • Get a user
      GET
    • Edit User
      PUT
  • MyPOSDevice
    • Get License
      GET
    • Register Device
      POST
    • Register Device with OTP
      POST
  • Menus
    • Items
      • Get Items
    • Store Hours
      • Get Store Hrs
        GET
      • Update Store Hrs
        PUT
  • Reports
    • Flash Report
      • Get FlashReport Details
    • Transaction
      • Get All Transactions
      • Get Items per transactions
      • Get Cashier Details
    • Shift Close
      • Get ShiftClose report
      • Get "ShiftCloseEmail" value
      • Get report with Id
      • Post to QuickBooks
      • Update "ShiftCloseEmail" value
    • Item Sales By Department
      • Get department sales
  • Online Orders
    • Get Online Order Sales
  • Business Info
    • Business Info
    • Update Business Info
    • Get Tax Rate
    • Update Tax Rate
  • Get Departments
    GET
  1. Store Hours

Update Store Hrs

Developing
PUT
https://cartpointeserver.pospointe.com/Restaurant/opening-hours

Request

Query Params

Body Params application/jsonRequired

Example
[
    {
        "workingHrsId": "c202a91c-6450-460a-82a3-80b4a3f8815c",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Friday",
        "openTime": "10:00:00",
        "closeTime": "04:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Monday",
        "openTime": "02:45:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "38aff9ab-0a4d-46d9-bc27-1bd71661d80e",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Saturday",
        "openTime": "02:00:00",
        "closeTime": "22:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "b3a58c44-f2f9-421e-ba03-f12ea51555b2",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Sunday",
        "openTime": "10:00:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "fc9442d5-e79c-4042-88bf-e50c0f5f426d",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Thursday",
        "openTime": "10:00:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "f46f2c62-ec0c-4571-a791-ec16c5ae24b8",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Tuesday",
        "openTime": "02:45:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "8efe6f6c-2595-46b5-9ec9-51c8d007ab2e",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Wednesday",
        "openTime": "03:00:00",
        "closeTime": "02:30:00",
        "isOpen": true
    }
]

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://cartpointeserver.pospointe.com/Restaurant/opening-hours?storeId=6c529f5a-8582-4e3a-ba62-8f33e8ce7c57' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "workingHrsId": "c202a91c-6450-460a-82a3-80b4a3f8815c",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Friday",
        "openTime": "10:00:00",
        "closeTime": "04:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Monday",
        "openTime": "02:45:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "38aff9ab-0a4d-46d9-bc27-1bd71661d80e",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Saturday",
        "openTime": "02:00:00",
        "closeTime": "22:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "b3a58c44-f2f9-421e-ba03-f12ea51555b2",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Sunday",
        "openTime": "10:00:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "fc9442d5-e79c-4042-88bf-e50c0f5f426d",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Thursday",
        "openTime": "10:00:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "f46f2c62-ec0c-4571-a791-ec16c5ae24b8",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Tuesday",
        "openTime": "02:45:00",
        "closeTime": "02:30:00",
        "isOpen": true
    },
    {
        "workingHrsId": "8efe6f6c-2595-46b5-9ec9-51c8d007ab2e",
        "storeId": "6c529f5a-8582-4e3a-ba62-8f33e8ce7c57",
        "workingDays": "Wednesday",
        "openTime": "03:00:00",
        "closeTime": "02:30:00",
        "isOpen": true
    }
]'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-04-29 06:31:10
Previous
Get Store Hrs
Next
Get FlashReport Details
Built with